# Update 2 PUT /api/v2/podcasts/{id}/ Content-Type: application/json V2 View to update a Podcast. Allows updating title, description, cover_image, length, and visibility. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/podcasts/update-2 ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v2/podcasts/{id}/: put: operationId: update-2 summary: Update 2 description: |- V2 View to update a Podcast. Allows updating title, description, cover_image, length, and visibility. tags: - subpackage_podcasts parameters: - name: id in: path required: true schema: type: integer responses: '200': description: '' content: application/json: schema: $ref: '#/components/schemas/PodcastUpdate' requestBody: content: application/json: schema: $ref: '#/components/schemas/PodcastUpdate' components: schemas: VoiceTypeEnum: type: string enum: - interview - panel - educational - narrative - debate description: |- * `interview` - Interview * `panel` - Panel * `educational` - Educational * `narrative` - Narrative * `debate` - Debate title: VoiceTypeEnum BlankEnum: type: string enum: - '' title: BlankEnum NullEnum: description: Any type title: NullEnum PodcastUpdateVoiceType: oneOf: - $ref: '#/components/schemas/VoiceTypeEnum' - $ref: '#/components/schemas/BlankEnum' - $ref: '#/components/schemas/NullEnum' description: >- Voice preset to use for the podcast (interview, panel, educational, narrative, debate) * `interview` - Interview * `panel` - Panel * `educational` - Educational * `narrative` - Narrative * `debate` - Debate title: PodcastUpdateVoiceType LanguageEnum: type: string enum: - en - es - fr - de - it - pt - zh - ja - ko - ar - ru - hi description: |- * `en` - English * `es` - Spanish * `fr` - French * `de` - German * `it` - Italian * `pt` - Portuguese * `zh` - Chinese * `ja` - Japanese * `ko` - Korean * `ar` - Arabic * `ru` - Russian * `hi` - Hindi title: LanguageEnum PodcastUpdateLanguage: oneOf: - $ref: '#/components/schemas/LanguageEnum' - $ref: '#/components/schemas/NullEnum' title: PodcastUpdateLanguage KnowledgeLevelEnum: type: string enum: - beginner - intermediate - advanced - expert description: |- * `beginner` - Beginner * `intermediate` - Intermediate * `advanced` - Advanced * `expert` - Expert title: KnowledgeLevelEnum GlobalVisibilityEnum: type: string enum: - public - private - team - org description: |- * `public` - Public * `private` - Private * `team` - Team * `org` - Organization title: GlobalVisibilityEnum PodcastUpdate: type: object properties: title: type: string description: type: string voice_type: oneOf: - $ref: '#/components/schemas/PodcastUpdateVoiceType' - type: 'null' description: >- Voice preset to use for the podcast (interview, panel, educational, narrative, debate) * `interview` - Interview * `panel` - Panel * `educational` - Educational * `narrative` - Narrative * `debate` - Debate language: oneOf: - $ref: '#/components/schemas/PodcastUpdateLanguage' - type: 'null' length: type: - integer - 'null' knowledge_level: $ref: '#/components/schemas/KnowledgeLevelEnum' llm_prompt: type: string focus_area: type: - string - 'null' visibility: $ref: '#/components/schemas/GlobalVisibilityEnum' is_draft: type: boolean description: Whether this podcast is a draft logo: type: - string - 'null' format: uri cover_image: type: - string - 'null' format: uri description: Serializer for updating podcasts. title: PodcastUpdate ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v2/podcasts/1/" payload = {} headers = {"Content-Type": "application/json"} response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v2/podcasts/1/'; const options = {method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v2/podcasts/1/" payload := strings.NewReader("{}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v2/podcasts/1/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.example.com/api/v2/podcasts/1/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PUT', 'https://api.example.com/api/v2/podcasts/1/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v2/podcasts/1/"); var request = new RestRequest(Method.PUT); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v2/podcasts/1/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```